const St = imports.gi.St;
const Main = imports.ui.main;
const Lang = imports.lang;
const Shell = imports.gi.Shell;
const GLib = imports.gi.GLib;
const PopupMenu = imports.ui.popupMenu;
const Gettext = imports.gettext.domain("empathy-contacts-in-usermenu@rtt.uy");
const _ = Gettext.gettext;

let item, userMenu;

function _onContactListActivate() {
    Main.overview.hide();
    let app = Shell.AppSystem.get_default().lookup_app('empathy.desktop');
    app.activate();
}

function init(extensionMeta) {
    userMenu = Main.panel._statusArea.userMenu.menu;
}

function enable() {
    item = new PopupMenu.PopupMenuItem(_("Contact List"));
    item.connect('activate', Lang.bind(item, _onContactListActivate));
    userMenu.addMenuItem(item, 2);
}

function disable() {
    if (item) { item.destroy(); }
}
